org.eclipse.emf.compare.internal.adapterfactory

## Interface RankedAdapterFactoryDescriptor.Registry

All Superinterfaces:
  ComposedAdapterFactory.Descriptor.Registry

All Known Implementing Classes:
  RankedAdapterFactoryDescriptorRegistryImpl

Enclosing interface:
  RankedAdapterFactoryDescriptor

    public static interface RankedAdapterFactoryDescriptor.Registry
    extends ComposedAdapterFactory.Descriptor.Registry

A registry is an index that takes a collection of keys, typically a pair consisting of an EPackage or java.lang.Package, and a java.lang.Class, and maps it to a `descriptor`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.ComposedAdapterFactory.Descriptor.Registry

`ComposedAdapterFactory.Descriptor.Registry.Impl`

### Field Summary

### Fields inherited from interface org.eclipse.emf.edit.provider.ComposedAdapterFactory.Descriptor.Registry

`INSTANCE`

### Method Summary

All Methods Instance Methods Abstract Methods
`Set<RankedAdapterFactoryDescriptor>` `getDescriptors()` Returns all `RankedAdapterFactoryDescriptor` of the registry.

### Methods inherited from interface org.eclipse.emf.edit.provider.ComposedAdapterFactory.Descriptor.Registry

`getDescriptor`

### Method Detail

#### getDescriptors

    Set<RankedAdapterFactoryDescriptor> getDescriptors()

Returns all `RankedAdapterFactoryDescriptor` of the registry.

Returns:
  an immutable `Set` of `RankedAdapterFactoryDescriptor`